Loading...
Searching...
No Matches
BALL::FPTBondOrderStrategy::DPJoinMapComparator_ Struct Reference

`#include <BALL/STRUCTURE/BONDORDERS/FPTBondOrderStrategy.h>`

## Public Member Functions

bool | operator() (DPConfig_ const *leftp, DPConfig_ const *rightp) const
int | compare (DPConfig_ const *leftp, DPConfig_ const *rightp) const

## Detailed Description

A comparator, which searches DPConfigs in a DPJoinMap. Two DPConfigs are equal, if they have the same bond values, even if they have different consumed valences.

Definition at line 817 of file FPTBondOrderStrategy.h.

## Member Function Documentation

## compare()

int BALL::FPTBondOrderStrategy::DPJoinMapComparator_::compare | ( | DPConfig_ const * | leftp,
|  | DPConfig_ const * | rightp ) const

returns 1, if leftp is greather than rightp, 0 if both are equal and -1 otherwise. You can compare only childs from the same join bag.

Exceptions

  BALL::Exception::InvalidArgument | if the both DPConfig entries can not be compared

## operator()()

bool BALL::FPTBondOrderStrategy::DPJoinMapComparator_::operator() | ( | DPConfig_ const * | leftp,
|  | DPConfig_ const * | rightp ) const

Less-operator. Returns true if leftp is smaller than rightp.

Exceptions

  BALL::Exception::InvalidArgument | if the both DPConfig entries can not be compared